Reply

Solid Edge Mass properties - VB.NET

' objApp object is the SE Application object

 

 

Dim file as string = "C:\part1.par"

Dim d1 As SolidEdgePart.PartDocument = objApp.Documents.Open(file)

Dim v1 As Double = Nothing

Dim ar1 As Double = Nothing

Dim m1 As Double = Nothing

Dim cg1(2) As Array ' three elements

Dim cv1(2) As Array

Dim gmi1(5) As Array ' six elements

Dim pmi1(2) As Array

Dim pa1(8) As Array ' - Nine elements of single dimensional array

Dim rg1(2) As Array

 

d1.GetUserPhysicalProperties(v1, ar1, m1, cg1, cv1, gmi1, pmi1, pa1, rg1)

 

it compiles ... While debugging throws error

 

It throws error : Invalid pointer..

 

Please help... It's urgent

 

Posted by: Jacob Andrews
Post date: 3/4/2013 8:24:24 AM

1 REPLY

Solid Edge Mass properties - VB.NET

Try with declarations for Array as Double like this

Dim cg1(2) As Double

...

or

Dim cg1() As Double = {}

...

 

Posted by: JR
Post date: 3/6/2013 12:37:02 AM